Package org.apache.sysds.runtime.compress.colgroup.scheme

## Class DDCScheme

- java.lang.Object
- - org.apache.sysds.runtime.compress.colgroup.scheme.ACLAScheme
  - - org.apache.sysds.runtime.compress.colgroup.scheme.DDCScheme

All Implemented Interfaces:
  `Cloneable`, `ICLAScheme`

Direct Known Subclasses:
  `DDCSchemeMC`, `DDCSchemeSC`

    public abstract class DDCScheme
    extends ACLAScheme

### Field Summary

### Fields inherited from interface org.apache.sysds.runtime.compress.colgroup.scheme.ICLAScheme

`LOG`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static DDCScheme` `create​(ColGroupDDC g)` Create a scheme for the DDC compression given
`static DDCScheme` `create​(IColIndex cols)` Create a scheme for the DDC compression given a list of columns.
`String` `toString()`

### Methods inherited from class org.apache.sysds.runtime.compress.colgroup.scheme.ACLAScheme

`clone, encode, encode, encodeT, encodeT, update, update, updateAndEncode, updateAndEncode, updateAndEncodeT, updateAndEncodeT, updateT, updateT`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### create

    public static DDCScheme create​(ColGroupDDC g)

Create a scheme for the DDC compression given

Parameters:
  `g` - A DDC Column group
Returns:
  A DDC Compression scheme

#### create

    public static DDCScheme create​(IColIndex cols)

Create a scheme for the DDC compression given a list of columns.

Parameters:
  `cols` - The columns to compress
Returns:
  A DDC Compression scheme

#### toString

    public final String toString()

Overrides:
  `toString` in class `Object`